Read Block Documents For Block Type
curl --request GET \
--url https://api.example.com/block_types/slug/{slug}/block_documentsimport requests
url = "https://api.example.com/block_types/slug/{slug}/block_documents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/block_types/slug/{slug}/block_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"block_schema_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"block_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"data": {},
"block_schema": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"checksum": "<string>",
"block_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fields": {},
"block_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"slug": "<string>",
"logo_url": "<string>",
"documentation_url": "<string>",
"description": "<string>",
"code_example": "<string>",
"is_protected": false
},
"capabilities": [
"<string>"
],
"version": "non-versioned"
},
"block_type_name": "<string>",
"block_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"slug": "<string>",
"logo_url": "<string>",
"documentation_url": "<string>",
"description": "<string>",
"code_example": "<string>",
"is_protected": false
},
"block_document_references": {},
"is_anonymous": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Block types
Read Block Documents For Block Type
GET
/
block_types
/
slug
/
{slug}
/
block_documents
Read Block Documents For Block Type
Headers
Path Parameters
The block type name
Query Parameters
Whether to include sensitive values in the block document.
Response
Successful Response
A block schema ID
A block type ID
The block document's name. Not required for anonymous block documents.
Pattern:
^[^/%&><]+$The block document's data
The associated block schema
Show child attributes
Show child attributes
The associated block type's name
The associated block type
Show child attributes
Show child attributes
Record of the block document's references
Show child attributes
Show child attributes
Whether the block is anonymous (anonymous blocks are usually created by Prefect automatically)
Was this page helpful?
⌘I